;ATXDRV start (copies rotation/movement data + dest. object)

;[obj]          = VTable
;[obj+4]        = n/a
;[obj+8]        = target instance + values

AT107MAIN:
MaxStraightTimeInterval_ATXDRV		    equ     5000
ATXDRV_Brake_Interval			    equ     500
MaxSideTimeInterval_ATXDRV		    equ     4000
ATXDRV_NoRot_Interval			    equ     100

cmp [ATXDRV_ENABLED],TRUE
    jz NO_AT107_TRIGGER


;/* TEMP

       mov [ecx+atxdrv_inst_data.IntervalFrontFast],100
       mov [ecx+atxdrv_inst_data.IntervalFrontSlow],50
       mov [ecx+atxdrv_inst_data.IntervalBack],50
       mov [ecx+atxdrv_inst_data.IntervalBackFast],100
       mov [ecx+atxdrv_inst_data.IntervalLeft],100
       mov [ecx+atxdrv_inst_data.IntervalRight],100
       mov [ecx+atxdrv_inst_data.IntervalSlowdown],20
       mov [ecx+atxdrv_inst_data.IntervalTurnstop],50
       mov [ecx+atxdrv_inst_data.RotPosOffset],-3.000000
       mov [ecx+atxdrv_inst_data.RotAngle],0.01
       ;mov [ecx+atxdrv_inst_data.PushFrontFast],5.000000
       ;mov [ecx+atxdrv_inst_data.PushFrontSlow],2.500000
       ;mov [ecx+atxdrv_inst_data.PushBack],2.500000
       mov [ecx+atxdrv_inst_data.StraightSpeed],0.500000
       mov [ecx+atxdrv_inst_data.AutoRepeat],25

;*/

	  push edi
	  push esi
	  mov esi,ecx
	  mov edi,ATXDRV_CURRENT
	  mov ecx,(sizeof.atxdrv_inst_data)/4
	  rep movsd
	  pop esi
	  pop edi

	  call DisableInGameMvtKeys

	  invoke GetTickCount
	  mov [LTCStraight],eax
	  mov [LTCSide],eax
	  mov [IntrCurrStraight],MaxStraightTimeInterval_ATXDRV
	  mov [IntrCurrSide],0

	  mov [ATXDRV_ENABLED],TRUE

NO_AT107_TRIGGER:
ret
;==========================================================

AT107_REINIT:
     mov eax,[esp+4]
ret 4