;============================================================
;STRUCTURES
;============================================================

struct atxdrv_inst_data 	;must be DWORD aligned
    VTable	       dd      ?
    Ref 	       dd      ?
    Instance	       dd      ?
    InstanceMass       dd      ?
    AutoRepeat	       dd      ?
    StraightSpeed      dd      ?
    PushFrontFast      dd      ?
    PushFrontSlow      dd      ?
    PushBack	       dd      ?
    ;PushUp             dd      ?
    ;PushDown           dd      ?
    RotAngle	       dd      ?
    RotAngleLeft       dd      ?
    RotAngleRight      dd      ?
    RotPosOffset       dd      ?
    IntervalFrontFast  dd      ?
    IntervalFrontSlow  dd      ?
    IntervalBack       dd      ?
    IntervalBackFast   dd      ?
    IntervalLeft       dd      ?
    IntervalRight      dd      ?
    IntervalSlowdown   dd      ?
    IntervalTurnstop   dd      ?
    ;IntervalUp         dd      ?
    ;IntervalDown       dd      ?
    UseROTonSMVTOnly   dd      ?  ;bit 0 set if enabled, bit 1 set whenever a straight movement (SMVT) key is pressed
ends

struct jump_info				;20 BYTES
    Push	       dd      ?
    JumpAngle	       dd      ?
    JumpTendancy       dd      ?
    RepeatPeriod       dd      ?
    LastTickCount      dd      ?
ends

struct CAPTUREPARMS		;size = 96
    dwRequestMicroSecPerFrame	       dd      ?
    fMakeUserHitOKToCapture	       dd      ?
    wPercentDropForError	       dd      ?
    fYield			       dd      ?
    dwIndexSize 		       dd      ?
    wChunkGranularity		       dd      ?
    fUsingDOSMemory		       dd      ?
    wNumVideoRequested		       dd      ?
    fCaptureAudio		       dd      ?
    wNumAudioRequested		       dd      ?
    vKeyAbort			       dd      ?
    fAbortLeftMouse		       dd      ?
    fAbortRightMouse		       dd      ?
    fLimitEnabled		       dd      ?
    wTimeLimit			       dd      ?
    fMCIControl 		       dd      ?
    fStepMCIDevice		       dd      ?
    dwMCIStartTime		       dd      ?
    dwMCIStopTime		       dd      ?
    fStepCaptureAt2x		       dd      ?
    wStepCaptureAverageFrames	       dd      ?
    dwAudioBufferSize		       dd      ?
    fDisableWriteCache		       dd      ?
    AVStreamMaster		       dd      ?
ends

struct AVISTREAMINFO
    fccType			       dd      ?
    fccHandler			       dd      ?
    dwFlags			       dd      ?
    dwCaps			       dd      ?
    wPriority			       dw      ?
    wLanguage			       dw      ?
    dwScale			       dd      ?
    dwRate			       dd      ?
    dwStart			       dd      ?
    dwLength			       dd      ?
    dwInitialFrames		       dd      ?
    dwSuggestedBufferSize	       dd      ?
    dwQuality			       dd      ?
    dwSampleSize		       dd      ?
    rcFrame			       RECT
    dwEditCount 		       dd      ?
    dwFormatChangeCount 	       dd      ?
    szName			       db      64 dup ?
ends

struct AVICOMPRESSOPTIONS
    fccType			       dd      ?
    fccHandler			       dd      ?
    dwKeyFrameEvery		       dd      ?
    dwQuality			       dd      ?
    dwBytesPerSecond		       dd      ?
    dwFlags			       dd      ?
    lpFormat			       dd      ?
    cbFormat			       dd      ?
    lpParms			       dd      ?
    cbParms			       dd      ?
    dwInterleaveEvery		       dd      ?
ends

struct DIBDUMPHEADER
    AtxDIBId			       db      'ATXR'	   ;if included in final file, save was successful
    SaveFlags			       dd      ?
    HeaderSize			       dd      sizeof.DIBDUMPHEADER
    BitmapData			       BITMAPINFOHEADER 	sizeof.BITMAPINFOHEADER
    Framerate			       dd      ?
    FrameRepeatTableFileOffset	       dd      ?
    FrameRepeatTableFileOffsetHigh     dd      ?
    DiffFrameCount		       dd      ?	  ;excludes frame repetitions (new frames only)
    TrueFrameCount		       dd      ?	  ;includes repetitions
    MaxFrameCount		       dd      ?
    FrameRepCount		       dd      ?
    rv_rt_error_count		       dd      ?
ends

