;==========================================================
;READS INI FILE AND RETRIEVES VALUES (POST 1.30 VERSION)
;==========================================================
;edi=INI path and filename
;ebx=pointer to current entry info in table

mov edi,StringBuffer
mov edx,[PathStringSize]
add edx,edi
mov [edx],DWORD 'ATXc'
mov [edx+4],DWORD 'onfi'
mov [edx+8],DWORD 'g.in'
mov [edx+12],WORD 0069h

	push esi
	     mov esi,StringBuffer
	     mov edi,ATXconfiginiFN
	     call TransferString
	pop esi

	mov eax,[PathStringSize]
	mov BYTE [eax+StringBuffer],0

;---------------------------------
;for DDF file path
	push esi
	     mov esi,MapsDirBuffer
	     mov edi,DDF_FN_Buffer
	     call TransferString
	pop esi
;---------------------------------
	mov edi,ATXconfiginiFN

;call CheckForINIExistence

mov ebx,INI_ENTRIES_TABLE

	INIEntriesMainLoop:
	call DWORD [ebx]
	add ebx,20
	cmp ebx,INI_ENTRIES_TABLE_END
	    jb INIEntriesMainLoop

jmp OverINIFunctions
;==========================================================
INI_INT_PROC:
invoke GetPrivateProfileInt,[ebx+4],[ebx+8],[ebx+12],edi
       mov edx,[ebx+16]
       mov [edx],eax
ret
;==========================================================
INI_FLOAT_PROC:
invoke GetPrivateProfileFloat,[ebx+4],[ebx+8],[ebx+12],edi
       mov edx,[ebx+16]
       mov [edx],eax
ret
;==========================================================
INI_STR_PROC:
invoke GetPrivateProfileString,[ebx+4],[ebx+8],[ebx+12],[ebx+16],50,edi
ret
;==========================================================
INI_KEY_PROC:
sub esp,4
    mov eax,esp
invoke GetPrivateProfileString,[ebx+4],[ebx+8],ZERO_STRING,eax,4,edi
    pop eax
       cmp al,30h
	   jz Exit_INI_KEY_PROC
       cmp al,';'
	   jz Exit_INI_KEY_PROC

       cmp al,41h
	   jb NoLowercaseConvert_INI_KEY
       cmp al,5Ah
	   ja NoLowercaseConvert_INI_KEY
       add al,20h
NoLowercaseConvert_INI_KEY:
       mov edx,[ebx+16]
       and eax,0FFh
       mov [edx],eax
Exit_INI_KEY_PROC:
ret
;==========================================================
CheckForINIExistence:
push ebp
mov ebp,esp
sub esp,100
    mov edx,esp
invoke FindFirstFile,edi,edx
       cmp eax,-1
	   jz INIDoesNotExist

mov esp,ebp
pop ebp
ret

INIDoesNotExist:
invoke FindClose,eax

mov ebx,INI_ENTRIES_TABLE

	NewINIEntriesLoop:
	mov edx,[ebx+12]
	cmp DWORD [ebx],INI_INT_PROC
	    jnz Not_INT_VALUE_INI
	    lea eax,[ebp-100]
	invoke wsprintf,eax,_integer,edx
	    add esp,12
	    lea edx,[ebp-100]
	Not_INT_VALUE_INI:
	invoke WritePrivateProfileString,[ebx+4],[ebx+8],edx,edi
	add ebx,20
	cmp ebx,INI_ENTRIES_TABLE_END
	    jb NewINIEntriesLoop
mov esp,ebp
pop ebp
ret

;==========================================================
OverINIFunctions:




