;============================================================
;code run before every frame is drawn for LOC-MAP cheats
;============================================================

LOC_MAP_NEW_TEST_CODE:		;called before every frame flip

	push esi
	push edi
	push edx
	push ecx
	push ebx
	push eax

	BBMCALL TestForFlyModeKeys,[FLY_MODE_BOOL]
	;BBMCALL DirectDrawMain,[Effects_BOOL]
	BBMCALL SHOWMAP_CODE,[USE_MAP]
	call SetNewTimeStamp
	BBMCALL DisplayDinoInfoMain,[DisplayDinoInfo_BOOL]
	BBMCALL DisplayDrawDistance,[DrawDistDisplayTime]
	BBMCALL DisplayNewKeysState,[ToggleKeysShowStateTime]
	BBMCALL DisplayPlayerFaceFloats,[ShowFaceFloats_BOOL]
	BBMCALL DisplayPlayerHealth,[ShowPlayerHealth_BOOL]
	BBMCALL RecordVideoCaptureRT_NEW,[VideoEnabledBool]
	BBMCALL DisplayErrorCount,[LAST_ERROR_TIME]
	BBMCALL DisplayTempMessage,[TempMessageTime]
	BBMCALL DisplayFPS,[FPS_toggle]
	;BBMCALL DisplayTest_Main,[Test_Main_BOOL]
	BBMCALL ATXDRV_MAIN_RT_PROC,[ATXDRV_ENABLED]
	;BBMCALL DisplayCONVTOFACINGPop,[UseTestCTFRATE]
	;BBMCALL DisplayKeyRate,[UseKeyRateDisplay]

	or [IsInGame_BOOL],1

	pop eax
	pop ebx
	pop ecx
	pop edx
	pop edi
	pop esi

cmp [USE_LOC],1
jz USE_LOC_IN_EXE_CODE
	add esp,4		;get rid of return address from call
	jmp [NO_LOC_JUMP_ADDR]	;jump if LOC disabled
USE_LOC_IN_EXE_CODE:

ret				;if LOC cheat enable, just continue




